<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: animsition_admin.php
| Version: 1.0
| Author: PHP-Fusion USA (KasteR)
| Site: http://www.php-fusion.us/
| Credits: Plugin code originally from blivesta (http://blivesta.com/) 
| ported for use with PHP-Fusion.
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (!checkrights("AP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
include INFUSIONS."animsition_panel/infusion_db.php";
require_once THEMES."templates/admin_header.php";
if (file_exists(INFUSIONS."animsition_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."animsition_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."animsition_panel/locale/English.php";
}
$result = dbquery("SELECT * FROM ".DB_ANIMSITION_SETTINGS."");
if(dbrows($result)) $data = dbarray($result);
if(!isset($data['loading'])) { $loading = 'false';} else { $loading = 'true';}
if (isset($_GET['s']) && !isset($message)) {
if ($_GET['s'] == "1") {
	$message = $locale['ap_013'];
	}
	if ($message) {
	$message = "<div class='admin-message'>".$message."</div>";
		if ($_GET['s'] == "1" || $_GET['s'] == "0") {
		echo "<div id='close-message'>".$message."</div>\n";
		}
	}
}
$result = dbquery("SELECT * FROM ".DB_ANIMSITION_SETTINGS."");
if(dbrows($result)) $data = dbarray($result);
opentable($locale['ap_001']);
echo '
<form name="inputform" method="post" action="'.FUSION_SELF.$aidlink.'">
<table style="width:100%;">
	<thead>
		<tr>
			<th class="tbl2">'.$locale['ap_002'].'</th>
			<th class="tbl2">'.$locale['ap_003'].'</th>
			<th class="tbl2">'.$locale['ap_004'].'</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="tbl1">'.$locale['ap_014'].'</td>
			<td class="tbl1">'.$locale['ap_005'].'</td>
			<td class="tbl1">
				<select name="inClass" style="width:125px;">'."
					<optgroup label='FADE'>
						<option value='fade-in'".($data['inClass'] == "fade-in" ? " selected='selected'" : "").">fade-in</option>\n
					</optgroup>
					<optgroup label='FADE UP'>
						<option value='fade-in-up-sm'".($data['inClass'] == "fade-in-up-sm" ? " selected='selected'" : "").">fade-in-up-sm</option>\n
						<option value='fade-in-up'".($data['inClass'] == "fade-in-up" ? " selected='selected'" : "").">fade-in-up</option>\n
						<option value='fade-in-up-lg'".($data['inClass'] == "fade-in-up-lg" ? " selected='selected'" : "").">fade-in-up-lg</option>\n
					</optgroup>					
					<optgroup label='FADE DOWN'>
						<option value='fade-in-down-sm'".($data['inClass'] == "fade-in-down-sm" ? " selected='selected'" : "").">fade-in-down-sm</option>\n
						<option value='fade-in-down'".($data['inClass'] == "fade-in-down" ? " selected='selected'" : "").">fade-in-down</option>\n
						<option value='fade-in-down-lg'".($data['inClass'] == "fade-in-down-lg" ? " selected='selected'" : "").">fade-in-down-lg</option>\n
					</optgroup>
					<optgroup label='FADE LEFT'>
						<option value='fade-in-left-sm'".($data['inClass'] == "fade-in-left-sm" ? " selected='selected'" : "").">fade-in-left-sm</option>\n
						<option value='fade-in-left'".($data['inClass'] == "fade-in-left" ? " selected='selected'" : "").">fade-in-left</option>\n
						<option value='fade-in-left-lg'".($data['inClass'] == "fade-in-left-lg" ? " selected='selected'" : "").">fade-in-left-lg</option>\n
					</optgroup>
					<optgroup label='FADE RIGHT'>
						<option value='fade-in-right-sm'".($data['inClass'] == "fade-in-right-sm" ? " selected='selected'" : "").">fade-in-right-sm</option>\n
						<option value='fade-in-right'".($data['inClass'] == "fade-in-right" ? " selected='selected'" : "").">fade-in-right</option>\n
						<option value='fade-in-right-lg'".($data['inClass'] == "fade-in-right-lg" ? " selected='selected'" : "").">fade-in-right-lg</option>\n
					</optgroup>
					<optgroup label='ROTATE'>
						<option value='rotate-in-sm'".($data['inClass'] == "rotate-in-sm" ? " selected='selected'" : "").">rotate-in-sm</option>\n
						<option value='rotate-in'".($data['inClass'] == "rotate-in" ? " selected='selected'" : "").">rotate-in</option>\n
						<option value='rotate-in-lg'".($data['inClass'] == "rotate-in-lg" ? " selected='selected'" : "").">rotate-in-lg</option>\n
					</optgroup>
					<optgroup label='FLIP X'>
						<option value='flip-in-x-fr'".($data['inClass'] == "flip-in-x-fr" ? " selected='selected'" : "").">flip-in-x-fr</option>\n
						<option value='flip-in-x'".($data['inClass'] == "flip-in-x" ? " selected='selected'" : "").">flip-in-x</option>\n
						<option value='flip-in-x-nr'".($data['inClass'] == "flip-in-x-nr" ? " selected='selected'" : "").">flip-in-x-nr</option>\n
					</optgroup>
					<optgroup label='FLIP Y'>
						<option value='flip-in-y-fr'".($data['inClass'] == "flip-in-y-fr" ? " selected='selected'" : "").">flip-in-y-fr</option>\n
						<option value='flip-in-y'".($data['inClass'] == "flip-in-y" ? " selected='selected'" : "").">flip-in-y</option>\n
						<option value='flip-in-y-nr'".($data['inClass'] == "flip-in-y-nr" ? " selected='selected'" : "").">flip-in-y-nr</option>\n
					</optgroup>
					<optgroup label='ZOOM'>
						<option value='zoom-in-sm'".($data['inClass'] == "zoom-in-sm" ? " selected='selected'" : "").">zoom-in-sm</option>\n
						<option value='zoom-in'".($data['inClass'] == "zoom-in" ? " selected='selected'" : "").">zoom-in</option>\n
						<option value='zoom-in-lg'".($data['inClass'] == "zoom-in-lg" ? " selected='selected'" : "").">zoom-in-lg</option>\n
					</optgroup>
".'
				</select>				
			</td>
		</tr>
		<tr>
			<td class="tbl2">'.$locale['ap_015'].'</td>
			<td class="tbl2">'.$locale['ap_006'].'</td>
			<td class="tbl2">
				<select name="outClass" style="width:125px;">'."
					<optgroup label='FADE'>
						<option value='fade-out'".($data['outClass'] == "fade-out" ? " selected='selected'" : "").">fade-out</option>\n
					</optgroup>
					<optgroup label='FADE UP'>
						<option value='fade-out-up-sm'".($data['outClass'] == "fade-out-up-sm" ? " selected='selected'" : "").">fade-out-up-sm</option>\n
						<option value='fade-out-up'".($data['outClass'] == "fade-out-up" ? " selected='selected'" : "").">fade-out-up</option>\n
						<option value='fade-out-up-lg'".($data['outClass'] == "fade-out-up-lg" ? " selected='selected'" : "").">fade-out-up-lg</option>\n
					</optgroup>					
					<optgroup label='FADE DOWN'>
						<option value='fade-out-down-sm'".($data['outClass'] == "fade-out-down-sm" ? " selected='selected'" : "").">fade-out-down-sm</option>\n
						<option value='fade-out-down'".($data['outClass'] == "fade-out-down" ? " selected='selected'" : "").">fade-out-down</option>\n
						<option value='fade-out-down-lg'".($data['outClass'] == "fade-out-down-lg" ? " selected='selected'" : "").">fade-out-down-lg</option>\n
					</optgroup>
					<optgroup label='FADE LEFT'>
						<option value='fade-out-left-sm'".($data['outClass'] == "fade-out-left-sm" ? " selected='selected'" : "").">fade-out-left-sm</option>\n
						<option value='fade-out-left'".($data['outClass'] == "fade-out-left" ? " selected='selected'" : "").">fade-out-left</option>\n
						<option value='fade-out-left-lg'".($data['outClass'] == "fade-out-left-lg" ? " selected='selected'" : "").">fade-out-left-lg</option>\n
					</optgroup>
					<optgroup label='FADE RIGHT'>
						<option value='fade-out-right-sm'".($data['outClass'] == "fade-out-right-sm" ? " selected='selected'" : "").">fade-out-right-sm</option>\n
						<option value='fade-out-right'".($data['outClass'] == "fade-out-right" ? " selected='selected'" : "").">fade-out-right</option>\n
						<option value='fade-out-right-lg'".($data['outClass'] == "fade-out-right-lg" ? " selected='selected'" : "").">fade-out-right-lg</option>\n
					</optgroup>
					<optgroup label='ROTATE'>
						<option value='rotate-out-sm'".($data['outClass'] == "rotate-out-sm" ? " selected='selected'" : "").">rotate-out-sm</option>\n
						<option value='rotate-out'".($data['outClass'] == "rotate-out" ? " selected='selected'" : "").">rotate-out</option>\n
						<option value='rotate-out-lg'".($data['outClass'] == "rotate-out-lg" ? " selected='selected'" : "").">rotate-out-lg</option>\n
					</optgroup>
					<optgroup label='FLIP X'>
						<option value='flip-out-x-fr'".($data['outClass'] == "flip-out-x-fr" ? " selected='selected'" : "").">flip-out-x-fr</option>\n
						<option value='flip-out-x'".($data['outClass'] == "flip-out-x" ? " selected='selected'" : "").">flip-out-x</option>\n
						<option value='flip-out-x-nr'".($data['outClass'] == "flip-out-x-nr" ? " selected='selected'" : "").">flip-out-x-nr</option>\n
					</optgroup>
					<optgroup label='FLIP Y'>
						<option value='flip-out-y-fr'".($data['outClass'] == "flip-out-y-fr" ? " selected='selected'" : "").">flip-out-y-fr</option>\n
						<option value='flip-out-y'".($data['outClass'] == "flip-out-y" ? " selected='selected'" : "").">flip-out-y</option>\n
						<option value='flip-out-y-nr'".($data['outClass'] == "flip-out-y-nr" ? " selected='selected'" : "").">flip-out-y-nr</option>\n
					</optgroup>
					<optgroup label='ZOOM'>
						<option value='zoom-out-sm'".($data['outClass'] == "zoom-out-sm" ? " selected='selected'" : "").">zoom-out-sm</option>\n
						<option value='zoom-out'".($data['outClass'] == "zoom-out" ? " selected='selected'" : "").">zoom-out</option>\n
						<option value='zoom-out-lg'".($data['outClass'] == "zoom-out-lg" ? " selected='selected'" : "").">zoom-out-lg</option>\n
					</optgroup>
".'
				</select>				
			</td>
		</tr>
		<tr>
			<td class="tbl1">'.$locale['ap_016'].'</td>
			<td class="tbl1">'.$locale['ap_007'].'</td>
			<td class="tbl1"><input name="inDuration" type="text" value="'.$data['inDuration'].'" size="15" /></td>
		</tr>
		<tr>
			<td class="tbl2">'.$locale['ap_017'].'</td>
			<td class="tbl2">'.$locale['ap_008'].'</td>
			<td class="tbl2"><input name="outDuration" type="text" value="'.$data['outDuration'].'" size="15" /></td>
		</tr>
		<tr>
			<td class="tbl1">'.$locale['ap_018'].'</td>
			<td class="tbl1">'.$locale['ap_009'].'</td>
			<td class="tbl1">
				<select name="loading">'."
					<option value='true'".($data['loading'] == "true" ? " selected='selected'" : "").">".$locale['ap_011']."</option>\n
					<option value='false'".($data['loading'] == "false" ? " selected='selected'" : "").">".$locale['ap_012']."</option>\n".'
				</select>
			</td>
		</tr>		
	</tbody>
</table>
<div style="text-align:center;margin-top:20px;">
	<input name="submit" type="submit" value="'.$locale['ap_010'].'" class="button" />
</div>
</form>
';
closetable();
if (isset($_POST['submit'])) {
	$result = dbquery("UPDATE ".DB_ANIMSITION_SETTINGS." SET  inClass='".$_POST['inClass']."', outClass='".$_POST['outClass']."', inDuration='".$_POST['inDuration']."', outDuration='".$_POST['outDuration']."', loading='".$_POST['loading']."'");
	redirect(FUSION_SELF.$aidlink."&amp;s=1");
}
require_once THEMES."templates/footer.php";
?>